import SignUpForm from './SignUpForm'
import { Container, CssBaseline, Box, Typography, Link } from '@mui/material'

function Copyright(props) {
  return (
    <Typography
      variant='body2'
      color='text.secondary'
      align='center'
      {...props}
    >
      {'© '}
      <Link color='inherit' href='https://itguild.info/'>
        ITGuild
      </Link>{' '}
      {new Date().getFullYear()}
    </Typography>
  )
}

function App() {
  return (
    <Container component='main'>
      <CssBaseline />
      <Box
        sx={{
          marginTop: 8,
          display: 'flex',
          flexDirection: 'column',
          alignItems: 'center'
        }}
      >
        <Typography component='h1' variant='h5'>
          Регистрация на мероприятие
        </Typography>
        <SignUpForm />
      </Box>
      <Copyright sx={{ mt: 5 }} />
    </Container>
  )
}

export default App
